Set sla ticket
curl --request POST \
--url https://api.joinsayless.com/api/v1/tickets/setSla \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ticketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"durationSeconds": 15768000
}
'import requests
url = "https://api.joinsayless.com/api/v1/tickets/setSla"
payload = {
"ticketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"durationSeconds": 15768000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ticketId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
durationSeconds: 15768000
})
};
fetch('https://api.joinsayless.com/api/v1/tickets/setSla', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.joinsayless.com/api/v1/tickets/setSla",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ticketId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'workspaceId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'durationSeconds' => 15768000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.joinsayless.com/api/v1/tickets/setSla"
payload := strings.NewReader("{\n \"ticketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"durationSeconds\": 15768000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.joinsayless.com/api/v1/tickets/setSla")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ticketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"durationSeconds\": 15768000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.joinsayless.com/api/v1/tickets/setSla")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ticketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"durationSeconds\": 15768000\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"urlId": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationIds": [
"<string>"
],
"subject": "<string>",
"content": "<string>",
"preview": "<string>",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": 3,
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactIds": [
"<string>"
],
"companyIds": [
"<string>"
],
"labelIds": [
"<string>"
],
"dueDate": "2023-11-07T05:31:56Z",
"ticketNumber": 123,
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"userMessage": "<string>",
"fields": {}
},
"statusCode": 123,
"timestamp": "<string>",
"path": "<string>"
}Set sla ticket
Set sla ticket. Returns the saved ticket.
POST
/
api
/
v1
/
tickets
/
setSla
Set sla ticket
curl --request POST \
--url https://api.joinsayless.com/api/v1/tickets/setSla \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ticketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"durationSeconds": 15768000
}
'import requests
url = "https://api.joinsayless.com/api/v1/tickets/setSla"
payload = {
"ticketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"durationSeconds": 15768000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ticketId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
durationSeconds: 15768000
})
};
fetch('https://api.joinsayless.com/api/v1/tickets/setSla', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.joinsayless.com/api/v1/tickets/setSla",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ticketId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'workspaceId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'durationSeconds' => 15768000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.joinsayless.com/api/v1/tickets/setSla"
payload := strings.NewReader("{\n \"ticketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"durationSeconds\": 15768000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.joinsayless.com/api/v1/tickets/setSla")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ticketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"durationSeconds\": 15768000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.joinsayless.com/api/v1/tickets/setSla")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ticketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"durationSeconds\": 15768000\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"urlId": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationIds": [
"<string>"
],
"subject": "<string>",
"content": "<string>",
"preview": "<string>",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": 3,
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contactIds": [
"<string>"
],
"companyIds": [
"<string>"
],
"labelIds": [
"<string>"
],
"dueDate": "2023-11-07T05:31:56Z",
"ticketNumber": 123,
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"userMessage": "<string>",
"fields": {}
},
"statusCode": 123,
"timestamp": "<string>",
"path": "<string>"
}Authorizations
Personal API key (sl_api_…) or OAuth access token (sl_oat_…)
Body
application/json
Clock to set. firstResponse is the first reply, nextResponse is the following reply, and resolution is time to resolve.
Available options:
firstResponse, nextResponse, resolution Target length in seconds. Send null to remove the resolution SLA. Maximum is one year.
Required range:
1 <= x <= 31536000